<?php


/*
   ----------------------------------------------------------------------
   GLPI - Gestionnaire Libre de Parc Informatique
   Copyright (C) 2003-2008 by the INDEPNET Development Team.

   http://indepnet.net/   http://glpi-project.org/
   ----------------------------------------------------------------------

   LICENSE

   This file is part of GLPI.

   GLPI is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   GLPI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GLPI; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   ------------------------------------------------------------------------
 */

// Original Author of file: Balpe Dévi
// Purpose of file:
// ----------------------------------------------------------------------
if(!defined('GLPI_ROOT')){
	define('GLPI_ROOT', '../../..'); 
}
include_once (GLPI_ROOT . "/inc/includes.php");

if(!isset($_SESSION["glpi_plugin_reports_installed"]) || $_SESSION["glpi_plugin_reports_installed"]!=1) {
	
	checkRight("config","w");
	commonHeader($GEDIFFREPORTLANG["title"][1],$_SERVER['PHP_SELF'],"config","plugins");
	
	echo "<div align='center'>";
	echo "<table class='tab_cadre' cellpadding='5'>";
	echo "<tr><th>".$GEDIFFREPORTLANG["config"][1]."</th></tr>";
	echo "<tr class='tab_bg_1' align='center'><td>";
	echo "<a href='plugin_reports.install.php'>".$GEDIFFREPORTLANG["config"][2]."</a>";
	echo "</td></tr>";
	echo "</table></div>";
}
else
{
	checkSeveralRightsOr(array("config" => "w", "profile" => "w"));
	commonHeader($GEDIFFREPORTLANG["title"][1],$_SERVER['PHP_SELF'],"config","plugins");
	
	echo "<div align='center'>";
	echo "<table class='tab_cadre' cellpadding='5'>";
	echo "<tr><th>".$GEDIFFREPORTLANG["config"][1]."</th></tr>";
	if (haveRight("profile","w")){
		echo "<tr class='tab_bg_1' align='center'><td>";
		echo "<a href='plugin_reports.profile.php'>".$GEDIFFREPORTLANG["config"][4]."</a>";
		echo "</td/></tr>\n";
		echo "<tr class='tab_bg_1' align='center'><td>";
		echo "<a href='plugin_reports.reports.php'>".$GEDIFFREPORTLANG["config"][8]."</a>";
		echo "</td/></tr>\n";
	}
	if (haveRight("config","w")){
		$raps=searchReport("../report", 1);
		foreach ($raps as $key => $val) {
			if (is_file($val)) {
				echo "<tr class='tab_bg_1' align='center'><td>";
				echo "<a href='$val'>".$GEDIFFREPORTLANG["config"][11] . " : " . $GEDIFFREPORTLANG[$key][1]."</a>";
				echo "</td/></tr>";
			}
		}
		echo "<tr class='tab_bg_2' align='center'><td>";
		echo "<a href='plugin_reports.uninstall.php'>".$GEDIFFREPORTLANG["config"][3]."</a>";
		echo "</td/></tr>";
	}
	echo "</table></div>";
}

commonFooter();
?>

