<?php
/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.

 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: BALPE Dévi
// Purpose of file:
// ----------------------------------------------------------------------

function searchReport($rep,$substr=0)
{
	global $CFG_GLPI;
	$tab = array();
	
	if (file_exists($rep))
		{
		if (is_dir($rep))
			{
			$id_dossier = opendir($rep);
			while($element = readdir($id_dossier))
				{
					if (substr($element,0,1)!=".")
					{
						$fullpath = $element;
						includeLocales(substr($element,0,strlen($element) -4));
						if ($substr)
						{
							$element = substr($element, 15);
							$element = substr($element, 0, strlen($element)-4);
						}
						$tab[$element] = $fullpath;

					}
				}
			closedir($id_dossier);
			}
		}
		
	return $tab;
}

function includeLocales($filename)
{
	global $CFG_GLPI;
	if (isset($_SESSION["glpilanguage"])&&file_exists(GLPI_ROOT."/plugins/reports/locales/report/".$filename.".".$CFG_GLPI["languages"][$_SESSION["glpilanguage"]][1]))
		include_once(GLPI_ROOT."/plugins/reports/locales/report/".$filename.".".$CFG_GLPI["languages"][$_SESSION["glpilanguage"]][1]);
	else
		include_once(GLPI_ROOT."/plugins/reports/locales/report/".$filename.".fr_FR.php");
}

function simpleReport ($name, $sql, $cols=array(), $subname="", $group=array())
{
	global $DB, $GEDIFFREPORTLANG, $LANG, $CFG_GLPI;
	
	if (isset($_POST['list_limit'])) {
		$_SESSION['glpilist_limit']=$_POST['list_limit'];
		unset($_POST['list_limit']);
	}
	$limit = $_SESSION["glpilist_limit"];			
	if (isset($_POST["display_type"])) {
		$output_type=$_POST["display_type"];
		if ($output_type<0) {
			$output_type= -$output_type;
			$limit = 0;
		}
	} else {
		$output_type=HTML_OUTPUT;
	}
	
	includeLocales("plugin_reports.".$name);
	
	plugin_reports_checkRight($name,"r");
	
	$title=(isset($GEDIFFREPORTLANG[$name][1]) ? $GEDIFFREPORTLANG[$name][1] : $GEDIFFREPORTLANG["config"][10]);
	if ($subname) {
		$title .= " - $subname";
	}

	$res = $DB->query($sql);
	$nbtot = ($res ? $DB->numrows($res) : 0);
	if ($limit) { 		
		$start = (isset($_GET["start"]) ? $_GET["start"] : 0);
		if ($start >= $nbtot) {
			$start = 0;
		}
		
		if ($start>0 || $start+$limit<$nbtot) {
			$res=$DB->query("$sql LIMIT $start,$limit");	
		}
	} else {
		$start = 0;		
	}
	
	if ($output_type==PDF_OUTPUT_PORTRAIT || $output_type==PDF_OUTPUT_LANDSCAPE) {
		include (GLPI_ROOT . "/lib/ezpdf/class.ezpdf.php");
	}
	else if ($output_type==HTML_OUTPUT) {
		commonHeader($title,$_SERVER['PHP_SELF'],"utils","report");

		echo "<div align='center'><table class='tab_cadre_fixe' cellpadding='2'>";
		echo "<tr><th>$title</th></th></tr>\n";

		echo "<tr class='tab_bg_2' valign='center'><td align='center'><form method='POST' action='".
			$_SERVER["PHP_SELF"]."?start=$start'>\n";
		
		$param="";
		foreach ($_POST as $key => $val) {
			echo "<input type='hidden' name='$key' value='$val' >";
			if (!empty($aram)) $param .= "&amp;";
			$param .= "$key=".urlencode($val);			
		}

		echo "<select name='display_type'>";
		echo "<option value='".PDF_OUTPUT_LANDSCAPE."'>".$LANG["buttons"][27]." ".$LANG["common"][68]."</option>";
		echo "<option value='".PDF_OUTPUT_PORTRAIT."'>".$LANG["buttons"][27]." ".$LANG["common"][69]."</option>";
		echo "<option value='".SYLK_OUTPUT."'>".$LANG["buttons"][28]."</option>";
		echo "<option value='".CSV_OUTPUT."'>".$LANG["buttons"][44]."</option>";
		echo "<option value='-".PDF_OUTPUT_LANDSCAPE."'>".$LANG["buttons"][29]." ".$LANG["common"][68]."</option>";
		echo "<option value='-".PDF_OUTPUT_PORTRAIT."'>".$LANG["buttons"][29]." ".$LANG["common"][69]."</option>";
		echo "<option value='-".SYLK_OUTPUT."'>".$LANG["buttons"][30]."</option>";
		echo "<option value='-".CSV_OUTPUT."'>".$LANG["buttons"][45]."</option>";
		echo "</select>";
		echo "&nbsp;<input type='image' name='export'  src='".$CFG_GLPI["root_doc"]."/pics/greenbutton.png' title='".$LANG["buttons"][31]."' value='".$LANG["buttons"][31]."'>";
		echo "</form></td></tr>";
		echo "</table></div>";

		printPager($start,$nbtot,$_SERVER['PHP_SELF'],$param);
	}
	
	if ($res) { 	
		$nbcols=$DB->num_fields($res);
		$nbrows=$DB->numrows($res);

		echo displaySearchHeader($output_type,$nbrows,$nbcols,true);
		
		echo displaySearchNewLine($output_type);
		$num=1;		
		for ($i=0 ; $i<$nbcols ; $i++) {
			$colname=$DB->field_name($res,$i);
			$coltitle=(isset($cols[$colname]) ? $cols[$colname] : $colname);
			echo  displaySearchHeaderItem($output_type,$coltitle,$num);
			$colsname[]=$colname;
		}
		echo displaySearchEndLine($output_type);
		
		$prev="";
		for ($row_num=2;$row=$DB->fetch_array($res);$row_num++) {
			$crt="";
			foreach($group as $colname) if (isset($row[$colname])) {
				$crt .= $row[$colname] . "####";
			}
			
			echo displaySearchNewLine($output_type);
			$num=1;
			foreach ($colsname as $colname) {
				if (!in_array($colname,$group)) {

					echo displaySearchItem($output_type, $row[$colname], $num, $row_num);
								
				} else if ($crt == $prev) {

					echo displaySearchItem($output_type, ($output_type==CSV_OUTPUT ? $row[$colname] : ""), $num, $row_num);					

				} else if ($output_type==HTML_OUTPUT) {

					echo displaySearchItem($output_type, "<strong>".$row[$colname]."</strong>", $num, $row_num);					
					
				} else {
					
					echo displaySearchItem($output_type, $row[$colname], $num, $row_num);					

				}
			}
			echo displaySearchEndLine($output_type);
			
			$prev=$crt;
		}
	}
	echo displaySearchFooter($output_type,$title);
		
	if ($output_type==HTML_OUTPUT) {
		commonFooter();
	} 	
}
?>
