<?php

/*
   ----------------------------------------------------------------------
   GLPI - Gestionnaire Libre de Parc Informatique
   Copyright (C) 2003-2008 by the INDEPNET Development Team.

   http://indepnet.net/   http://glpi-project.org/
   ----------------------------------------------------------------------

   LICENSE

   This file is part of GLPI.

   GLPI is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2 of the License, or
   (at your option) any later version.

   GLPI is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with GLPI; if not, write to the Free Software
   Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
   ------------------------------------------------------------------------
 */

/*
 * ----------------------------------------------------------------------
 * Original Author of file: Remi Collet
 * 
 * Purpose of file: 
 * 		Generate a detailed license report
 * ----------------------------------------------------------------------
 */

//Options for GLPI 0.71 and newer : need slave db to access the report
$USEDBREPLICATE = 1;
$DBCONNECTION_REQUIRED = 0;

define('GLPI_ROOT', '../../..');
include (GLPI_ROOT . "/inc/includes.php");

if (isset ($_POST["display_type"])) {
	$output_type = $_POST["display_type"];
} else {
	$output_type = HTML_OUTPUT;
}

includeLocales("plugin_reports.licensesexpires");

plugin_reports_checkRight("licensesexpires", "r");
checkSeveralRightsAnd(array (
	COMPUTER_TYPE => "r",
	SOFTWARE_TYPE => "r"
));

simpleReport(
// Report Name
"licensesexpires",

// SQL statement
"SELECT glpi_licenses.expire,glpi_software.name,glpi_licenses.version,glpi_entities.completename,   glpi_licenses.serial,  glpi_licenses.comments
FROM glpi_software 
JOIN glpi_licenses ON (glpi_software.ID = glpi_licenses.sID)
LEFT JOIN glpi_entities ON (glpi_software.FK_entities = glpi_entities.ID)
ORDER BY glpi_licenses.expire",

// Columns title (optional), from $LANG or $GEDIFFREPORTLANG
array (
	"expire" => $LANG["financial"][88],
	"name" => $LANG["help"][25],
	"completename" => $LANG["entity"][0],
	"version" => $LANG["software"][5],
	"serial" => $LANG["common"][19],
	"comments" => $LANG["common"][25]
),
"",
array("expire","name")
);
?>