<?php
/*
 ----------------------------------------------------------------------
 GLPI - Gestionnaire Libre de Parc Informatique
 Copyright (C) 2003-2008 by the INDEPNET Development Team.
 
 http://indepnet.net/   http://glpi-project.org/
 ----------------------------------------------------------------------

 LICENSE

	This file is part of GLPI.

    GLPI is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    GLPI is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with GLPI; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 ------------------------------------------------------------------------
*/

// Original Author of file: BALPE Dévi
// Purpose of file:
// ----------------------------------------------------------------------

include_once ("plugin_reports.includes.php");

function plugin_init_reports() {
	global $PLUGIN_HOOKS,$DB,$GEDIFFREPORTLANG;
	
	$PLUGIN_HOOKS['init_session']['reports'] = 'plugin_reports_initSession';
	$PLUGIN_HOOKS['change_profile']['reports'] = 'plugin_reports_changeprofile';
	
	if (haveRight("config","w")) {
		$PLUGIN_HOOKS['config_page']['reports'] = 'front/plugin_reports.config.form.php';
	}
	if (isset($_SESSION["glpi_plugin_reports_installed"]) && $_SESSION["glpi_plugin_reports_installed"]==1)
	{
		$PLUGIN_HOOKS['menu_entry']['reports'] = false;
		$PLUGIN_HOOKS['pre_item_delete']['reports'] = 'plugin_pre_item_delete_reports';
		$right = array();
				
		foreach (searchReport("../plugins/reports/report",1) as $report=>$fullpath)
		{
			if (plugin_reports_haveRight($report,"r"))
				$right["report/".$fullpath] =$GEDIFFREPORTLANG[$report][1];
		}
		$PLUGIN_HOOKS['reports']['reports'] = $right;
	}
}

	
function plugin_version_reports() {
	global $GEDIFFREPORTLANG;

		return array ('name' => $GEDIFFREPORTLANG["title"][1], 
			'minGlpiVersion' => '0.71', 
			'maxGlpiVersion' => '0.71.9', 
			'version' => '1.2');
}

// Hook done on delete item case
function plugin_pre_item_delete_reports($input){
	if (isset($input["_item_type_"]))
		switch ($input["_item_type_"]){
			case PROFILE_TYPE :
				// Manipulate data if needed 
				$GediffReportProfile=new GediffReportProfile;
				$GediffReportProfile->cleanProfiles($input["ID"]);
				break;
		}
	return $input;
}


?>